package com.jpsoft.weixin.callback;

import lombok.extern.slf4j.Slf4j;

import java.net.URLEncoder;

@Slf4j
public class PromotionCallback extends EventCallback {
    public PromotionCallback(String code,String callbackUrl){
        super(code,callbackUrl);
    }

    @Override
    public boolean process(String openId, String eventKey) {
        boolean result = false;

        try {
            String[] arr = eventKey.split(",");

            String promoter = arr[1];

            StringBuilder msgBuilder = new StringBuilder();

            msgBuilder.append("<a href=\"");

            msgBuilder.append(this.getCallbackUrl());
            msgBuilder.append("?openId=" + openId);
            msgBuilder.append("&promoter=" + URLEncoder.encode(promoter, "UTF-8"));

            msgBuilder.append("\">请点击注册</a>");

            setMessage(msgBuilder.toString());

            result = true;
        }
        catch (Exception ex){
            result =false;
            log.error(ex.getMessage(),ex);
        }

        return result;
    }
}
